Bug 210998 - www/gitlab: default authBackend
Summary: www/gitlab: default authBackend
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-11 08:33 UTC by Julien Cigar
Modified: 2016-12-23 12:25 UTC (History)
0 users

See Also:
tz: maintainer-feedback+


Attachments
Gitlab rc.d authBackend (960 bytes, patch)
2016-07-11 08:33 UTC, Julien Cigar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Cigar 2016-07-11 08:33:25 UTC
Created attachment 172367 [details]
Gitlab rc.d authBackend

The port has currently a fixed -authBackend defined in the rc.d script. The attached patch change that, it is needed for example if Gitlab is installed under a relative URL (see: http://doc.gitlab.com/ce/install/relative_url.html)
Comment 1 Torsten Zuehlsdorff freebsd_committer 2016-07-19 14:21:27 UTC
Hello Julien,

i will take care of this in the next GitLab update. I'm currently working on 8.9.x and will include your patch there!

Thanks!
Comment 2 commit-hook freebsd_committer 2016-12-23 12:25:25 UTC
A commit references this bug:

Author: tz
Date: Fri Dec 23 12:24:45 UTC 2016
New revision: 429253
URL: https://svnweb.freebsd.org/changeset/ports/429253

Log:
  www/gitlab: Make -authBackend variable

  The rc.d script currently has a fixed -authBackend defined which makes
  using GitLab under an relative URL impossible.

  PR:           210998
  Submitted by: Julien Cigar <julien@perdition.city>
  Approved by:  mentors (implicit)

Changes:
  head/www/gitlab/Makefile
  head/www/gitlab/files/gitlab.in
Comment 3 Torsten Zuehlsdorff freebsd_committer 2016-12-23 12:25:58 UTC
Finally committed! :)
Thanks for your patch and patience!